@charset "UTF-8";

$go-timeline-default-border-color: #DDDEE0 !default;
$go-timeline-primary-border-color: #4EAF51 !default;
$go-timeline-info-border-color: #2196F3 !default;

// timeline
.go-timeline {
    position: relative;
    > ul > li,
    > li {
    	position:relative;
    	&:before {
    		content: "";
    		position: absolute;
			background-color: #FFF;
			width: 10px;
			height: 10px;
			border-width: 2px;
			border-style: solid;
			border-radius: 50%;
    	}
    }
	&-item {
		&:before {
			border-color: $go-timeline-default-border-color;
		}
	}
	&-item-primary {
        color: $sys-gray-dark;
		&:before {
			border-color: $go-timeline-primary-border-color; 
		}
	}
	&-item-info,.active {
        color: $sys-gray-dark;
		&:before {
			border-color: $go-timeline-info-border-color;
		}
	}
}

// vertical
.go-timeline-vertical {
    padding: 30px 0 16px;
    margin-bottom:35px;
    &:before {
    	content: "";
    	position: absolute;
    	top: 0;
    	bottom: 0;
    	background-color: $go-timeline-default-border-color;
    	width: 1px;
    }
    > ul > li,
    > li {
    	margin-top: 10px;
    	&:first-child {
    		margin-top: 0;
    	}
    	&:before {
			top: 3px;
    	}
    }
}

.go-timeline-vertical.go-timeline-dir-center {
    &:before {
	    left: 50%;
    }
    > ul > li,
    > li {
    	&:before {
			left:50%;
			margin-left:-4px;
    	}
    }
    .go-timeline-item-left {
		padding-right: 50%;
		text-align: right;
	}
	.go-timeline-item-right {
		padding-left: 50%;
		text-align: left;
	}
}

.go-timeline-vertical.go-timeline-dir-left {
    &:before {
	    left: 30px;
    }
    > ul > li,
    > li {
    	&:before {
			left:26px;
    	}
    }
    .go-timeline-item {
		padding-left: 62px;
	}
}

// horizontal
.go-timeline-horizontal {
    display: table;
    width: 100%;
    overflow: hidden;
    > ul > li,
    > li {
    	display: table-cell;
    	text-align: center;
    	padding-bottom: 14px;
    	&:before {
			bottom: 0;
			left:50%;
			margin-left:-4px;
			z-index: 2;
    	}
    	+ li:after {
    		content: "";
    		position: absolute;
    		bottom: 5px;
			right:50%;
			left:-100%;
			height:1px;
			background-color: $go-timeline-default-border-color;
    	}
    	&:first-child:after {
			content: "";
			position: absolute;
			bottom: 5px;
			right:50%;
			left:-100%;
			height:1px;
			background-color: #FFF;
			z-index: 1;
    	}
    }
}

.go-timeline-horizontal.go-timeline-dir-bottom {
    > ul > li,
    > li {
        padding-top: 14px;
        padding-bottom: 0;
        &:before {
            top: 0;
            bottom: auto;
        }
        + li:after {
            top: 5px;
            bottom: auto;
        }
        &:first-child:after {
            top: 5px;
            bottom: auto;
        }
    }
}
